Subject: Re: Git user survey and `git pull`

From: "Matthias Urlichs" <[email-masked]>
Date: Fri, 22 Sep 2006 21:05:23 +0000 (UTC)

For what it's worth, I'm in favor of renaming the things.

IMHO, we do not need that kind of baggage. Sure, you explain it once and
people hopefully remember -- except that they don't, not always anyway,
and novice users can't be expected to be notice, let alone repair, that
kind of damage.

*I* make that stupid pull/fetch/merge mistake sometimes, 
and I'm not exactly new to git...

On Thu, 21 Sep 2006 12:24:01 -0400, Shawn Pearce wrote:

>   Current            Shoulda Been
>   ---------------    ----------------
>   git-push           git-push
>   git-fetch          git-pull
>   git-pull . foo     git-merge foo
>   git-pull           git-pull --merge
>   git-merge          git-merge-driver
> 
The new programs can (for the most part) recognize when they're called with
"old" semantics, and spit out a warning.

-- 
Matthias Urlichs